diff --git a/build/config/x86.cfg b/build/config/x86.cfg
index 209b567..3db7b62 100644
--- a/build/config/x86.cfg
+++ b/build/config/x86.cfg
@@ -107,6 +107,10 @@ endif
 	
 	if [ "$(SYSLINUX_CFG)" != prompt ]; then \
 		mcopy -i$(TEMP_BOOT) /usr/lib/syslinux/vesamenu.c32 ::vesamenu.c32; \
+		if [ -e /usr/lib/syslinux/ldlinux.c32 ]; then \
+			mcopy -i$(TEMP_BOOT) /usr/lib/syslinux/libcom32.c32 ::libcom32.c32; \
+			mcopy -i$(TEMP_BOOT) /usr/lib/syslinux/libutil.c32 ::libutil.c32; \
+		fi; \
 		if [ -e $(TEMP_BOOT_SCREENS)/splash.png ]; then \
 			mcopy -i$(TEMP_BOOT) $(TEMP_BOOT_SCREENS)/splash.png ::splash.png; \
 		fi; \
@@ -240,6 +244,11 @@ arch_miniiso: x86_syslinux x86_grub_efi
 	mkdir -p $(TEMP_CD_TREE)
 	cp /usr/lib/syslinux/isolinux.bin $(TEMP_CD_TREE)
 	cp /usr/lib/syslinux/vesamenu.c32 $(TEMP_CD_TREE)
+	if [ -e /usr/lib/syslinux/ldlinux.c32 ]; then \
+		cp /usr/lib/syslinux/ldlinux.c32 $(TEMP_CD_TREE); \
+		cp /usr/lib/syslinux/libcom32.c32 $(TEMP_CD_TREE); \
+		cp /usr/lib/syslinux/libutil.c32 $(TEMP_CD_TREE); \
+	fi; \
 
 	$(foreach file,$(wildcard boot/x86/*.txt), \
 		cat $(file) | \
@@ -338,6 +347,11 @@ arch_netboot_dir: x86_syslinux
 	mkdir -p $(TEMP_NETBOOT_DIR)/$(NETBOOT_PATH)/pxelinux.cfg
 	mkdir -p $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR)
 	cp /usr/lib/syslinux/vesamenu.c32 $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR)
+	if [ -e /usr/lib/syslinux/ldlinux.c32 ]; then \
+		cp /usr/lib/syslinux/ldlinux.c32 $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR); \
+		cp /usr/lib/syslinux/libcom32.c32 $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR); \
+		cp /usr/lib/syslinux/libutil.c32 $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR); \
+	fi; \
 
 	[ "$(BOOTMENU_BEEP)" = y ] && beep="$$(printf '\a')"; \
 	$(foreach file,$(shell syslinux-cfgs "$(TEMP_SYSLINUX)"), \
